## ros-noetic-phidgets-drivers 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(phidgets_drivers)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-noetic-phidgets-drivers 1.0.6

=== debian/changelog ===
ros-noetic-phidgets-drivers (1.0.6-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.5-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.4-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-drivers (1.0.3-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-drivers (1.0.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.1-1buster) buster; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-drivers (1.0.0-1buster) buster; urgency=high

  * Update maintainers in package.xml
  * Switch to libphidget22
  * Completely remove libphidget21.
  * Rewrite Motor Phidget to use libphidget22.
  * Rewrite IMU using libphidget22.
  * Add support for Phidgets Magnetometer sensors.
  * Add support for Phidgets Gyroscope sensors.
  * Add support for Phidgets Accelerometer sensors.
  * Add in support for Phidgets Temperature sensors.
  * Add in support for Phidgets Analog inputs.
  * Add in support for Phidgets Digital Inputs.
  * Add in support for Phidgets Digital Outputs.
  * Add in libphidget22 package.
  * Split custom messages into their own package.
  * Add in phidgets_ik to the phidgets_drivers metapackage.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.9-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.8-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.7-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.6-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.5-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-noetic-phidgets-drivers (0.7.4-1buster) buster; urgency=high

  * Add phidgets_high_speed_encoder to metapackage
  * Contributors: Jose Luis Blanco-Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.3-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.1-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.0-1buster) buster; urgency=high

  * Remove phidgets_ir package
    It was a stub anyway. If somebody has such a device and cares to expose
    the data via ROS topics, this can be revived.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-noetic-phidgets-drivers (0.2.3-1buster) buster; urgency=high

  * Update package.xml meta info
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-noetic-phidgets-drivers (0.2.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-noetic-phidgets-drivers (0.2.1-1buster) buster; urgency=high

  * phidgets_drivers: removed phidgets_c_api dependency
  * Updated version, maintainer and author information
  * Deleted comments within files of all packages
  * phidgets_drivers: converted stack into metapackage
  * Contributors: Murilo FM

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 14 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-phidgets-drivers
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/phidgets_drivers
Standards-Version: 3.9.2

Package: ros-noetic-phidgets-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-libphidget22, ros-noetic-phidgets-accelerometer, ros-noetic-phidgets-analog-inputs, ros-noetic-phidgets-api, ros-noetic-phidgets-digital-inputs, ros-noetic-phidgets-digital-outputs, ros-noetic-phidgets-gyroscope, ros-noetic-phidgets-high-speed-encoder, ros-noetic-phidgets-ik, ros-noetic-phidgets-magnetometer, ros-noetic-phidgets-motors, ros-noetic-phidgets-msgs, ros-noetic-phidgets-spatial, ros-noetic-phidgets-temperature
Description: API and ROS drivers for Phidgets devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-phidgets-drivers//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-phidgets-drivers 1.0.7

=== debian/changelog ===
ros-noetic-phidgets-drivers (1.0.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-drivers (1.0.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-drivers (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.1-1focal) focal; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-drivers (1.0.0-1focal) focal; urgency=high

  * Update maintainers in package.xml
  * Switch to libphidget22
  * Completely remove libphidget21.
  * Rewrite Motor Phidget to use libphidget22.
  * Rewrite IMU using libphidget22.
  * Add support for Phidgets Magnetometer sensors.
  * Add support for Phidgets Gyroscope sensors.
  * Add support for Phidgets Accelerometer sensors.
  * Add in support for Phidgets Temperature sensors.
  * Add in support for Phidgets Analog inputs.
  * Add in support for Phidgets Digital Inputs.
  * Add in support for Phidgets Digital Outputs.
  * Add in libphidget22 package.
  * Split custom messages into their own package.
  * Add in phidgets_ik to the phidgets_drivers metapackage.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.9-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.8-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-noetic-phidgets-drivers (0.7.4-1focal) focal; urgency=high

  * Add phidgets_high_speed_encoder to metapackage
  * Contributors: Jose Luis Blanco-Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-noetic-phidgets-drivers (0.7.0-1focal) focal; urgency=high

  * Remove phidgets_ir package
    It was a stub anyway. If somebody has such a device and cares to expose
    the data via ROS topics, this can be revived.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-noetic-phidgets-drivers (0.2.3-1focal) focal; urgency=high

  * Update package.xml meta info
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-noetic-phidgets-drivers (0.2.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-noetic-phidgets-drivers (0.2.1-1focal) focal; urgency=high

  * phidgets_drivers: removed phidgets_c_api dependency
  * Updated version, maintainer and author information
  * Deleted comments within files of all packages
  * phidgets_drivers: converted stack into metapackage
  * Contributors: Murilo FM

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 14 Jan 2015 23:00:00 -0000

## ros-noetic-phidgets-drivers 1.0.10

=== debian/changelog ===
ros-noetic-phidgets-drivers (1.0.10-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 07 May 2025 22:00:00 -0000

ros-noetic-phidgets-drivers (1.0.9-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Mar 2024 23:00:00 -0000

ros-noetic-phidgets-drivers (1.0.8-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 26 Nov 2023 23:00:00 -0000
